from Crypto.Cipher import AES, DES3
from Crypto.Util.Padding import pad, unpad
from pwn import xor
from tqdm import tqdm
import requests, multiprocessing, string


base_url = 'https://aes.cryptohack.org/'

def encrypt(plaintext: bytes, iv: bytes):
    route = '/symmetry/encrypt/{}/{}/'.format(plaintext.hex(), iv.hex())
    response = requests.get(base_url + route)
    return bytes.fromhex(response.json()['ciphertext'])

def encrypt_flag():
    route = '/symmetry/encrypt_flag/'
    response = requests.get(base_url + route)
    return bytes.fromhex(response.json()['ciphertext'])


data = encrypt_flag()
iv, cipher = data[:16], data[16:]
flag = encrypt(cipher, iv)
print(flag.decode())